body {
  background-image: url("https://file.garden/aa0pFRMyAyIrFx7U/bg.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  position: relative;
}

.crt {
  position: fixed;   
  inset: 0;          
  pointer-events: none;
  z-index: 9999999;
}


.crt::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 2;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}

@keyframes flicker {
  0% {
  opacity: 0.00001;
  }
  5% {
  opacity: 0.00009;
  }
  10% {
  opacity: 0.00004;
  }
  15% {
  opacity: 0.00006;
  }
  20% {
  opacity: 0.00008;
  }
  25% {
  opacity: 0.0006;
  }
  30% {
  opacity: 0.10008;
  }
  35% {
  opacity: 0.10004;
  }
}

.crt::after {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(18, 16, 16, 0.1);
  opacity: 0;
  z-index: 2;
  pointer-events: none;
  animation: flicker 0.15s infinite;
}

#main {
  
}

#chattable-frame {
    cursor: grab;
    position: fixed;
    right: 8%;
    top: 8%;
    width: 300px;
    height: 450px;
    z-index: 9999;
    border-width: 7px;
    border-style: solid;
    border-image: url("images/draw.png") 8 fill round;
    
}


#chattable {
  position: absolute;
width: 222px;
height: 322px;
left: 58px;
top: 38px;
}

.sidenav {
  height: 100%;
  width: 200px;
  background: rgba(100, 100, 100, 0.6);
  background-attachment: local;
  padding-top: 40px;
  text-align: center;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  overflow: scroll;
  -ms-overflow-style: none;
  
}
#clock {
    margin: -10px;
    padding: 0;
}
    .mainnav {
        list-style-type: none;
        text-align: left;
        margin-top: 35px;;
    
    }
    .sidenav li a {
        font-size: 17px;
    }
.sidenav a:hover {
    background-color: #fffed6;
}
    .sidenav span li {
        margin: 16px;
        font-size: 14px;
    }
    
.button textarea {
  width: 110px;
  height: 30px;
  margin: 0 auto;
}
    
.maincontainer {
  display: flex;
  justify-content: center;
  padding: 20px;
}


.flexstuff {
  width: 800px;
  margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.banner {
  height: 180px;
  background: url("https://file.garden/aa0pFRMyAyIrFx7U/suduku.png") center/cover no-repeat;
  position: relative;
}

.title {
  position: absolute;
  top: 20px;
  left: 30px;
  z-index: 10;
  font-size: 40px;
  color: white;
  text-shadow: 0 0 6px black;
}

.content-box {
  background: rgba(255,255,255,0.2);
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: -20px;
}

.top-row,
.mid-row,
.last-row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 12px;
}

.fav-pic,
.about-me,
.last-fm,
.fav-music,
.pet,
.fav-chars {
  min-height: 160px;
  background: rgba(0,0,0,0.1);
}
.fav-pic img {
  width:auto;
  height:300px;
}

.last-fm * {
  font-family: Minecraft !important;
}

.pet {
  width: 315px;
  height: 315px;
}

.pet iframe {
  width: 100%;
  height: 100%;
  border: 0;
}

.about-me {
  height: 300px;
  font-family: Minecraft;
  overflow-y: auto;
  padding: 20px;
}

.last-fm iframe {
  width: 100%;
  height: 90px;
  border: 0;

}

.last-fm iframe:hover {
  filter: none;
}
